C

codeigniterpower

a codeigniter with few fixeds and features pre-included

CODEGINER VNX

...es un derivado de codeigniter el cual se concentra en mejorar los aspectos avanzados, con bases de datos de verdad y no la porqueria de cafeterias de mysql... Para esto tiene algunos añadidos a los drivers pgsql y odbc, asi como ajustes de estetica a los helpers.

...its a codeigniter derived work that focused in improved related avanced aspects, with truly powered relational databases and not only the poor mysql ... For that, have some additions in the pgsql and odbc drivers, as stetics ajust on the helpers.

FEATURES

  • Bootstrap: css autoiniciado en cada tag html sin necesidad de usar clases especificas
  • Helpers: el tag de tabla y de select adiciona datatables y inputsearch sin usar jquery
  • Paginacion: se agrega posibilidad de indicar inicio y final sobreescrito a pagina 1 y pagina final
  • PGSQL: Soporte postgresql mejorado (en progreso) con integracion CRUD
  • Esquemas: Posibilidad de usar esquemas parciales en postgresql, con active recors (solo falla la verificacion si tabla existe)
  • Menus: Implementacion de libreria de menu, basada en modelos, en el futuro el menu se carga en un controlador
  • Importador: librerias de importacion de hojas de calculo y archivos separados por comas.
  • Exportador: opciones avanzadas en la exportacion de archivos CSV
  • Filehandler: corregido el renombre de subr archivos, asi como soporte correcto de pdf, csv y ods/odt

Why so older? Porque tan viejo?

Lamentablemente no todo los paises del mundo tienen el dinero para cambiar todos los dias su software el cambio de software no es solo por "seguridad", sino porque el hardware lo obliga. En muchos lugares se usa versiones viejas de php pero con sus parches de seguridad, por ende eso de actualizar es una escusa para impulsar la obsolescencia programada.

Unfortunately not all the countries of the world have the money to change their software every day The software change is not just for "security", but because the hardware forces it. In many places old versions of php are used but with their security patches, So that updating is an excuse to boost scheduled obsolescence.

Contact, contributions and info

Please if u are a mocosoft dont mess up, and go off!

We try to keep (and also track) as many updates and changes as posibles from version 3 of codeigniter,